%define module 	XML-PYX
%define version 0.07
%define release %mkrel 7

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Url:		http://search.cpan.org/dist/%{module} 
Group:		Development/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
Requires: 	perl 
BuildRequires:	perl(XML::Parser)
BuildRequires:  perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Buildarch: 	noarch

%description
%{module} perl module


%prep
%setup -q  -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT

make PREFIX=$RPM_BUILD_ROOT%{_prefix} DESTDIR=$RPM_BUILD_ROOT install

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README MANIFEST 
%{perl_vendorlib}/XML/*
%{_mandir}/*/*
%_bindir/*



%changelog
* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.07-7mdv2007.0
+ Revision: 73519
-Fix Build
- import perl-XML-PYX-0.07-6mdk


* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.07-6mdk
- rebuild

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.07-5mdk
- buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.07-4mdk
- rebuild

* Wed Jul 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.07-3mdk
- rebuild with new perl

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.07-2mdk
- rebuild

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.07-1mdk
- added in contribs  by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release

